petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetRefineLevel

Set's the number of refinements that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetRefineLevel(DM dm,PetscInt level)

Not Collective Many br

### Input Parameter

| dm | - the DM object Many br
| level | - number of refinements Many br

Many br

Notes: This value is used by PCMG to determine how many multigrid levels to use Many br

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html